## omniorb-dfsg 4.1.5

=== debian/changelog ===
omniorb-dfsg (4.1.5-2) unstable; urgency=low

  * debian/patches/set_ipv6_v6only_to_0: use upstream strategy to allow
    omniORB to work with net.ipv6.bindv6only=1 default value. Thanks to Duncan
    Grisby for the investigation and the hint. Closes: #624099.

 -- Thomas Girard <thomas.g.girard@free.fr>  Thu, 12 May 2011 22:57:25 +0200

omniorb-dfsg (4.1.5-1) unstable; urgency=low

  [ Floris Bruynooghe ]
  * New upstream version (closes: #570422, #585260, #558942).
  * Switch to dpkg-source 3.0 (quilt) format.
  * No longer include postscript docs, it is no longer shipped by upstream.
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Drop transitional packages, there has been a release now.
  * Add $remote_fs to Required-{Start|Stop} in nameserver initscript.
  * debian/omniorb-doc.doc-base: add PDF documentation.
  * Use bzip2 instead of gzip for .orig tarball.
  * Switch from dh_pycentral to dh_python2 (closes: #616922):
     - Drop python-central build-depends, version python-dev.
     - Place omniidl python modules into /usr/lib/omniidl.
     - Patch omniidl binary to put /usr/lib/omniidl on sys.path.
     - Drop XS-Python-Version and XB-Python-Version from debian/rules.
     - Update debian/omniidl.install for new location.
  * Strip spurious #!-line in omniidl/main.py module with a patch
    instead of using sed -d in debian/rules.

  [ Thomas Girard ]
  * Simplify build process: we no longer need to force CC and CXX.
  * Bump shlibs to 4.1.5, due to changes in private headers.
  * Add build-dependency on pkg-config.
  * Remove Conflicts: and Replaces: no longer needed now that Squeeze was
    released.
  * Use Breaks: instead of Conflicts: for omniidl change on omniidl-python.

 -- Thomas Girard <thomas.g.girard@free.fr>  Fri, 08 Apr 2011 17:19:28 +0200

omniorb-dfsg (4.1.3-1) unstable; urgency=low

  [ Floris Bruynooghe ]
  * debian/convertior.1: Use minus sign instead of hyphen (lintian).
  * debian/omniorb-nameserver.post{inst|rm}: Use true instead of /bin/true to
    cure minor lintian error.
  * Include <stdio.h> in catior.cc and convertior.cc (Closes: #505389).
  * Repack upstream tarball to remove win32 binaries and zipfiles with
    unclear copyright information, all unused by Debian.
  * Add ${misc:Depends} to all packages since we use debhelper.

  [ Thomas Girard ]
  * Update to latest release.
  * Rename source package from omniorb4 to omniorb-dfsg. omniorb4-nameserver
    startup script keeps its name to avoid being kept while replacing
    omniorb4-nameserver package with omniorb-nameserver.
  * Attempt to compile omniorb on arm using default g++ version
    (Closes: #533809).
  * Bump Standards-Version: to 3.8.3.  Section changes for -dbg packages.
  * Change Section: of -dbg packages to debug.

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Wed, 06 Jan 2010 22:10:57 +0000

omniorb (4.1.2-2) unstable; urgency=low

  * Transition package names to not include "4" where applicable:
    - Binary packages renamed and transitional packages made where relevant.
    - Configuration file is now same as upstream (/etc/omniORB.cfg).
    - No more documentation changes needed.
    - omniNames dbdir changed to /var/lib/omniorb (from /var/lib/omniorb4).
    - omniNames logfile changed to /var/log/omniorb-nameserver.log.
  * Bump debian/compat to 6, no changes.

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Thu, 15 May 2008 20:21:29 +0100

omniorb4 (4.1.2-1) unstable; urgency=low

  [ Floris Bruynooghe ]
  * New upstream release.  include/omniconfig.h.in and
    src/lib/omnithread/posix.cc no longer need patching.
  * Register HTML documentation with doc-base.
  * Add debian/watch file.

  [ Thomas Girard ]
  * Add patch from Thomas Lockhart to fix hex version used during the build.
  * Bump shlibs for libcos4-1 and libomniorb4-1.
  * Revert an ABI breaking change in class sslContext.
  * Make debian/copyright machine-interpretable; follow guidelines from
    http://wiki.debian.org/Proposals/CopyrightFormat

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 06 Apr 2008 12:02:29 +0000

omniorb4 (4.1.1-4) unstable; urgency=low

  * Fix arm-specific case to exclude armel. The fix is not needed for armel,
    and g++-4.1 does not seem to work on this platform. Thanks to Riku Voipio
    for the report and the fix. Closes: #469281.
  * Tweak configure mechanism to fix kFreeBSD FTBFS.

 -- Thomas Girard <thomas.g.girard@free.fr>  Tue, 04 Mar 2008 21:33:08 +0100

omniorb4 (4.1.1-3) unstable; urgency=low

  * Build with g++-4.1 on arm to fix FTBFS. Closes: #460419.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 24 Feb 2008 22:29:08 +0100

omniorb4 (4.1.1-2) unstable; urgency=low

  [ Thomas Girard ]
  * Add missing libomniConnectionMgmt4.so.1 to package libomniorb4-1, and
    bump libomniorb4-1.shlibs.
  * Bump Standards-Version: to 3.7.3. (No changes needed.)

  [ Floris Bruynooghe ]
  * Suggests omniidl4-python in omniidl4 rather than recommending it.

 -- Thomas Girard <thomas.g.girard@free.fr>  Fri, 21 Dec 2007 21:27:31 +0100

omniorb4 (4.1.1-1) unstable; urgency=low

  [ Thomas Girard ]
  * Move omnicpp man page to section 1.

  [ Floris Bruynooghe ]
  * New upstream release.
  * No longer modify configure.ac and configure, upstream caters for
    kfreebsd now.  Thanks to Duncan Grisby for accepting the patch.
  * No longer create omniNames.html, shipped by upstream now.
  * Bump shlibs version for libomniorb4-1 and libcos4-1 to 4.1.1 due to
    ABI change in the internal header files (which are used by
    python-omniorb and omnievents).

 -- Floris Bruynooghe <floris.bruynooghe@gmail.com>  Mon, 26 Nov 2007 00:44:09 +0000

omniorb4 (4.1.0-1) unstable; urgency=low

  [ Floris Bruynooghe ]
  * Package taken over by CORBA team, with blessing from Bastian Blank.
  * New upstream release (Closes: #398462, #430422).
  * Patch for kfreebsd, thanks Petr Salinger (Closes: #341089).
  * Include examples (Closes: #197061).

