=== debian/control ===
Source: omniorb-dfsg
Section: devel
Priority: optional
Maintainer: Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>
Uploaders: Floris Bruynooghe <flub@devork.be>, Thomas Girard <thomas.g.girard@free.fr>
Build-Depends: debhelper (>= 6.0.0), python-dev (>= 2.6.6-3~), libssl-dev, autotools-dev, pkg-config
Standards-Version: 3.9.1.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-corba/trunk/omniorb
Vcs-Browser: http://svn.debian.org/wsvn/pkg-corba/trunk/omniorb
Homepage: http://omniorb.sourceforge.net

Package: omniorb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IOR and naming service utilities for omniORB
 omniORB is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.

Package: omniorb-idl
Architecture: all
Depends: ${misc:Depends}
Description: omniORB CORBA services idl files
 omniORB is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the idl files.

Package: omniorb-nameserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: omniORB naming service
 omniORB is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the CORBA nameserver.

Package: omniorb-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: omniORB documentation
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the documentation.

Package: libcos4-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: omniORB CORBA services stubs
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes libcos4 and libcosdynamic4.

Package: libcos4-1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libcos4-1 (= ${binary:Version}), ${misc:Depends}
Description: omniORB CORBA services stubs debugging symbols
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the debug versions of libcos4 and libcosdynamic4.

Package: libcos4-dev
Architecture: any
Section: libdevel
Depends: libcos4-1 (= ${binary:Version}), libomniorb4-dev (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: omniORB CORBA services stubs development files
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes developer files for libcos4 and libcosdynamic4.

Package: libomniorb4-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: omniORB core libraries
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes libomniorb4, libomnicodesets4, libomnidynamic4
 and libomnissltp4.

Package: libomniorb4-1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libomniorb4-1 (= ${binary:Version}), ${misc:Depends}
Description: omniORB core libraries debugging symbols
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the debug versions of libomniorb4, libomnicodesets4,
 libomnidynamic4 and libomnissltp4.

Package: libomniorb4-dev
Architecture: any
Section: libdevel
Depends: libomniorb4-1 (= ${binary:Version}), libomnithread3-dev (= ${binary:Version}), libssl-dev, pkg-config, ${misc:Depends}
Description: omniORB core libraries development files
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes developer files for libomniorb4, libomnicodesets4,
 libomnidynamic4 and libomnissltp4.

Package: libomnithread3c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ threading library
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes libomnithread3.

Package: libomnithread3c2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libomnithread3c2 (= ${binary:Version}), ${misc:Depends}
Description: C++ threading library debugging symbols
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the debug version of libomnithread3.

Package: libomnithread3-dev
Architecture: any
Section: libdevel
Depends: libomnithread3c2 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: C++ threading library development files
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes developer files libomnithread3.

Package: omniidl
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Suggests: omniidl-python
Breaks: omniidl-python (<< 3.5-1)
Description: omniORB IDL to C++ and Python compiler
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the idl compiler.
