=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

PRG_PACKAGES := omniorb omniorb-nameserver omniidl
DEV_PACKAGES := libcos4-dev libomniorb4-dev libomnithread3-dev

build/config.status:
	dh_testdir
	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess bin/scripts
	-mkdir build
	cd build && \
	../configure $(confflags) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-thread-tracing \
		--with-openssl=/usr \
		--with-omniORB-config=/etc/omniORB.cfg \
		--with-omniNames-logdir=/var/lib/omniorb

build: build-stamp
build-stamp: build/config.status
	dh_testdir
	$(MAKE) -C build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-rm -rf build
	-find . -name "*.pyc" -exec rm {} \;
	-rm bin/scripts/config.guess bin/scripts/config.sub
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp
	-find debian/tmp -name "*.pyc" -exec rm {} \;
	dh_install --sourcedir=debian/tmp --list-missing

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
	chmod -R -x debian/omniorb-doc/usr/share/doc/omniorb-doc/examples
	dh_installman -i
	dh_installchangelogs update.log -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	install -m 0644 sample.cfg debian/libomniorb4-1/etc/omniORB.cfg
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a --name=omniorb4-nameserver
	dh_installman -a
	dh_installchangelogs update.log -a
	dh_strip $(addprefix -p,$(PRG_PACKAGES)) $(addprefix -p,$(DEV_PACKAGES))
	dh_strip -plibcos4-1 --dbg-package=libcos4-1-dbg
	dh_strip -plibomniorb4-1 --dbg-package=libomniorb4-1-dbg
	dh_strip -plibomnithread3c2 --dbg-package=libomnithread3c2-dbg
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibomnithread3c2 -V 'libomnithread3c2 (>= 4.0.6)'
	dh_makeshlibs -plibomniorb4-1 -V 'libomniorb4-1 (>= 4.1.5)'
	dh_makeshlibs -plibcos4-1 -V 'libcos4-1 (>= 4.1.5)'
	dh_python2 -pomniidl
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
