## omniorb-dfsg 4.1.6

=== debian/changelog ===
omniorb-dfsg (4.1.6-2) unstable; urgency=low

  * Fix the GNU/hurd patch, mention it's upstream inclusion (Closes: #641571)
  * Bump standards-version to 3.9.3, no changes needed

 -- Floris Bruynooghe <flub@devork.be>  Sat, 03 Mar 2012 18:52:43 +0000

omniorb-dfsg (4.1.6-1) unstable; urgency=low

  [ Floris Bruynooghe ]
  * New upstream release
  * Add build-arch and build-indep targets in debian/rules
  * Bump standards-version to 3.9.2: no changes
  * Make init.d script's Provides: match the script name
  * Add catior_manpage patch to fix minus sign instead of hyphen in
    the manual page.
  * Remove manpages included upstream from debian/
  * Add patch for hurd FTBFS, thanks Pino Toscano (Closes: #641571)
  * Rebuild sorts out omniidl python versions (Closes: #644904)

  [ Thomas Girard ]
  * debian/control: Add DM-Upload-Allowed: yes so that Floris can upload when
    he is Debian Maintainer.
  * Bump shlib to 4.1.6 because of new inline functions in public headers.

 -- Thomas Girard <thomas.g.girard@free.fr>  Mon, 28 Nov 2011 10:22:49 +0100
