=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>
 Uploaders: Floris Bruynooghe <flub@devork.be>, Thomas Girard <thomas.g.girard@free.fr>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6.0.0), python-dev (>= 2.6.6-3~), libssl-dev, autotools-dev, pkg-config
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-corba/trunk/omniorb
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-corba/trunk/omniorb
 Homepage: http://omniorb.sourceforge.net
