=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,9 @@
 		--with-omniORB-config=/etc/omniORB.cfg \
 		--with-omniNames-logdir=/var/lib/omniorb
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: build/config.status
 	dh_testdir
 	$(MAKE) -C build
@@ -89,8 +91,8 @@
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -plibomnithread3c2 -V 'libomnithread3c2 (>= 4.0.6)'
-	dh_makeshlibs -plibomniorb4-1 -V 'libomniorb4-1 (>= 4.1.5)'
-	dh_makeshlibs -plibcos4-1 -V 'libcos4-1 (>= 4.1.5)'
+	dh_makeshlibs -plibomniorb4-1 -V 'libomniorb4-1 (>= 4.1.6)'
+	dh_makeshlibs -plibcos4-1 -V 'libcos4-1 (>= 4.1.6)'
 	dh_python2 -pomniidl
 	dh_installdeb -a
 	dh_shlibdeps -a
