=== debian/watch ===
# Watch file for omniorb, see uscan(1) for details.

version=3

http://sf.net/omniorb/omniORB-(.+)\.tar\.gz
