## omniorb-dfsg 4.2.2

=== debian/changelog ===
omniorb-dfsg (4.2.2-1) unstable; urgency=medium

  * Set maintainer to QA group (see #955300).
    This fixes the maintainer adress (Closes: #899623)
  * Remove broken vcs links to svn.debian.org.

 -- Ivo De Decker <ivodd@debian.org>  Sun, 29 Mar 2020 15:47:20 +0000

omniorb-dfsg (4.2.2-0.9) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable for the openssl 1.1 transition.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 03 Jun 2018 09:47:23 +0200

omniorb-dfsg (4.2.2-0.8) experimental; urgency=medium

  * Non-maintainer upload.
  * omniidl: Fix detection of private python3 directory.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2018 17:12:52 +0100

omniorb-dfsg (4.2.2-0.6) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix passing the --build/--host configure options.
  * Multiarchify the library packages.
  * Build using Python3.
  * Configure --with-openssl instead of --with-openssl=yes.
  * Build-depend on zlib1g-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Nov 2017 23:56:41 +0100

omniorb-dfsg (4.2.2-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream bug fix release.
    - Supports openssl 1.1. CLoses: #859367.
  * Apply 4.1.6-2.2 changes to 4.2.0-1.
  * Add Breaks/Replaces for the -dev packages. Closes: #781650.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Nov 2017 00:25:30 +0100

omniorb-dfsg (4.2.0-1) experimental; urgency=low

  [ Floris Bruynooghe ]
  * New upstream release (Closes: #737948)
  * Update debian/watch and debian/README.source for .bz2 filenames.
  * Update svn-bp:origUrl for new version.
  * Remove obsolete DM-Upload-Allowed field from debian/control.

  [ Thomas Girard ]
  * d/p/revert_abi_breakage: remove, no longer needed since the ABI has
    changed again.
  * d/rules: change dh_makeshlibs invocation accordingly.
  * d/p/hurd: remove, applied upstream.
  * d/p/pkgconfig: fix omnithread pkgconfig file.
  * d/p/formatstring: fix FTBFS when building with hardening flags.
  * d/control:
    - bump standards-version to 3.9.6.
    - rename packages to reflect new 4.2 ABI.
    - add appropriate Conflicts: Replaces: wherever needed.

 -- Thomas Girard <thomas.g.girard@free.fr>  Tue, 28 Oct 2014 18:00:53 +0100

omniorb-dfsg (4.1.6-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/value_in_exception.patch: backport patch to go into 4.2
    branch (http://www.omniorb-support.com/pipermail/omniorb-list/2016-January/031818.html)
    LP: #1530855. Closes: #812966.
  * Bump debhelper and standards versions.
  * Set priority of -dbg packages to optional.
  * Fix some lintian warnings.
  * omniorb-nameserver: Depend on lsb-base.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Nov 2017 14:35:53 +0100
