=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: omniorb-dfsg
 Section: devel
 Priority: optional
-Maintainer: Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>
-Uploaders: Floris Bruynooghe <flub@devork.be>, Thomas Girard <thomas.g.girard@free.fr>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6.0.0), python-dev (>= 2.6.6-3~), libssl-dev, autotools-dev, pkg-config
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/pkg-corba/trunk/omniorb
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-corba/trunk/omniorb
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 9),
+  python3-dev,
+  libssl-dev,
+  zlib1g-dev,
+  pkg-config,
+  dh-python,
+  autotools-dev,
+  dh-autoreconf
+Standards-Version: 4.1.1
 Homepage: http://omniorb.sourceforge.net
 
 Package: omniorb
@@ -34,7 +37,7 @@
 
 Package: omniorb-nameserver
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Description: omniORB naming service
  omniORB is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -46,6 +49,7 @@
 
 Package: omniorb-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Section: doc
 Description: omniORB documentation
@@ -57,10 +61,13 @@
  .
  This includes the documentation.
 
-Package: libcos4-1
-Architecture: any
+Package: libcos4-2
+Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libcos4-1
+Replaces: libcos4-1
 Description: omniORB CORBA services stubs
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -70,11 +77,12 @@
  .
  This includes libcos4 and libcosdynamic4.
 
-Package: libcos4-1-dbg
-Architecture: any
+Package: libcos4-2-dbg
+Architecture: any
+Multi-Arch: same
 Section: debug
-Priority: extra
-Depends: libcos4-1 (= ${binary:Version}), ${misc:Depends}
+Priority: optional
+Depends: libcos4-2 (= ${binary:Version}), ${misc:Depends}
 Description: omniORB CORBA services stubs debugging symbols
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -86,8 +94,9 @@
 
 Package: libcos4-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libcos4-1 (= ${binary:Version}), libomniorb4-dev (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libcos4-2 (= ${binary:Version}), libomniorb4-dev (= ${binary:Version}), pkg-config, ${misc:Depends}
 Description: omniORB CORBA services stubs development files
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -97,10 +106,13 @@
  .
  This includes developer files for libcos4 and libcosdynamic4.
 
-Package: libomniorb4-1
-Architecture: any
+Package: libomniorb4-2
+Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libomniorb4-1
+Replaces: libomniorb4-1
 Description: omniORB core libraries
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -111,11 +123,12 @@
  This includes libomniorb4, libomnicodesets4, libomnidynamic4
  and libomnissltp4.
 
-Package: libomniorb4-1-dbg
-Architecture: any
+Package: libomniorb4-2-dbg
+Architecture: any
+Multi-Arch: same
 Section: debug
-Priority: extra
-Depends: libomniorb4-1 (= ${binary:Version}), ${misc:Depends}
+Priority: optional
+Depends: libomniorb4-2 (= ${binary:Version}), ${misc:Depends}
 Description: omniORB core libraries debugging symbols
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -128,8 +141,11 @@
 
 Package: libomniorb4-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libomniorb4-1 (= ${binary:Version}), libomnithread3-dev (= ${binary:Version}), libssl-dev, pkg-config, ${misc:Depends}
+Depends: libomniorb4-2 (= ${binary:Version}), libomnithread4-dev (= ${binary:Version}), libssl-dev, pkg-config, ${misc:Depends}
+Breaks: libomniorb3-dev
+Replaces: libomniorb3-dev
 Description: omniORB core libraries development files
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -140,8 +156,9 @@
  This includes developer files for libomniorb4, libomnicodesets4,
  libomnidynamic4 and libomnissltp4.
 
-Package: libomnithread3c2
-Architecture: any
+Package: libomnithread4
+Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ threading library
@@ -151,13 +168,14 @@
  protocol and should be interoperable with any other
  CORBA 2.6 compliant ORB.
  .
- This includes libomnithread3.
-
-Package: libomnithread3c2-dbg
-Architecture: any
+ This includes libomnithread4.
+
+Package: libomnithread4-dbg
+Architecture: any
+Multi-Arch: same
 Section: debug
-Priority: extra
-Depends: libomnithread3c2 (= ${binary:Version}), ${misc:Depends}
+Priority: optional
+Depends: libomnithread4 (= ${binary:Version}), ${misc:Depends}
 Description: C++ threading library debugging symbols
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -165,12 +183,15 @@
  protocol and should be interoperable with any other
  CORBA 2.6 compliant ORB.
  .
- This includes the debug version of libomnithread3.
-
-Package: libomnithread3-dev
-Architecture: any
+ This includes the debug version of libomnithread4.
+
+Package: libomnithread4-dev
+Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libomnithread3c2 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libomnithread4 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Breaks: libomnithread3-dev
+Replaces: libomnithread3-dev
 Description: C++ threading library development files
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -178,11 +199,11 @@
  protocol and should be interoperable with any other
  CORBA 2.6 compliant ORB.
  .
- This includes developer files libomnithread3.
+ This includes developer files libomnithread4.
 
 Package: omniidl
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
 Suggests: omniidl-python
 Breaks: omniidl-python (<< 3.5-1)
 Description: omniORB IDL to C++ and Python compiler
