=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

PRG_PACKAGES := omniorb omniorb-nameserver omniidl
DEV_PACKAGES := libcos4-dev libomniorb4-dev libomnithread4-dev

configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	dh_autoreconf
	rm -rf build
	mkdir -p build
	cd build && \
	PYTHON=/usr/bin/python3 ../configure $(confflags) \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-thread-tracing \
		--with-openssl \
		--with-omniORB-config=/etc/omniORB.cfg \
		--with-omniNames-logdir=/var/lib/omniorb
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-rm -rf build
	-find . -name "*.pyc" -exec rm {} \;
	dh_autoreconf_clean
	dh_autotools-dev_restoreconfig
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp
	-find debian/tmp -name "*.pyc" -exec rm {} \;
	find debian/tmp -type d -name __pycache__ | xargs -r rm -rf
	dh_missing --sourcedir=debian/tmp --list-missing
	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
	chmod -R -x debian/omniorb-doc/usr/share/doc/omniorb-doc/examples
	dh_installman -i
	dh_installchangelogs update.log -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	install -m 0644 sample.cfg debian/libomniorb4-2/etc/omniORB.cfg
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a --name=omniorb4-nameserver
	dh_installman -a
	dh_installchangelogs update.log -a
	dh_strip $(addprefix -p,$(PRG_PACKAGES)) $(addprefix -p,$(DEV_PACKAGES))
	dh_strip -plibcos4-2 --dbg-package=libcos4-2-dbg
	dh_strip -plibomniorb4-2 --dbg-package=libomniorb4-2-dbg
	dh_strip -plibomnithread4 --dbg-package=libomnithread4-dbg
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibomnithread4 -V 'libomnithread4 (>= 4.2.0)'
	dh_makeshlibs -plibomniorb4-2 -V 'libomniorb4-2 (>= 4.2.0)'
	dh_makeshlibs -plibcos4-2 -V 'libcos4-2 (>= 4.2.0)'
	dh_python3 -pomniidl
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
