## omniorb-dfsg 4.2.5

=== debian/changelog ===
omniorb-dfsg (4.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Tue, 08 Feb 2022 09:19:24 +0000

omniorb-dfsg (4.2.4-3) unstable; urgency=medium

  * Upload to unstable
  * Upload new upstream version 4.2.4 with support for GCC-11
    (Closes: #984267)
  * Include systemd service file for omniNames (Closes: #984646)

 -- Neil Williams <codehelp@debian.org>  Mon, 10 Jan 2022 14:12:02 +0000

omniorb-dfsg (4.2.4-2) experimental; urgency=medium

  * Update changelog for 4.2.4-1 release to experimental
  * Fix build for binary-any

 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Jun 2021 08:55:56 +0200

omniorb-dfsg (4.2.4-1) experimental; urgency=medium

  * New upstream version 4.2.4 (Closes: #948496)
  * Rediff patches
  * Set new Maintainer and Uploaders fields (Closes: #955300)
  * Bump-up Standards-Version, and switch to dh, with debhelper-compat=12
  * Lintian fixes

 -- Sebastien Delafond <seb@debian.org>  Fri, 25 Jun 2021 08:01:18 +0200
