=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: omniorb-dfsg
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
-  python3-dev,
-  libssl-dev,
-  zlib1g-dev,
-  pkg-config,
-  dh-python,
-  autotools-dev,
-  dh-autoreconf
-Standards-Version: 4.1.1
+Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Uploaders:
+ Sebastien Delafond <seb@debian.org>,
+ Neil Williams <codehelp@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ libssl-dev,
+ pkg-config,
+ python3-dev,
+Standards-Version: 4.6.0
 Homepage: http://omniorb.sourceforge.net
+Vcs-Browser: https://salsa.debian.org/debian/omniorb-dfsg
+Vcs-Git: https://salsa.debian.org/debian/omniorb-dfsg.git
 
 Package: omniorb
 Architecture: any
@@ -48,18 +51,18 @@
  This includes the CORBA nameserver.
 
 Package: omniorb-doc
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Section: doc
-Description: omniORB documentation
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libomniorb4-dev (= ${binary:Version}), libomnithread4-dev (= ${binary:Version})
+Section: devel
+Description: omniORB documentation and examples
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
  implementation. It is based on the IIOP communications
  protocol and should be interoperable with any other
  CORBA 2.6 compliant ORB.
  .
- This includes the documentation.
+ This includes the documentation and compiled examples.
 
 Package: libcos4-2
 Architecture: any
@@ -76,21 +79,6 @@
  CORBA 2.6 compliant ORB.
  .
  This includes libcos4 and libcosdynamic4.
-
-Package: libcos4-2-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: optional
-Depends: libcos4-2 (= ${binary:Version}), ${misc:Depends}
-Description: omniORB CORBA services stubs debugging symbols
- omniORB4 is a freely available Common Object Request Broker
- Architecture (CORBA) 2.6 compliant object request broker (ORB)
- implementation. It is based on the IIOP communications
- protocol and should be interoperable with any other
- CORBA 2.6 compliant ORB.
- .
- This includes the debug versions of libcos4 and libcosdynamic4.
 
 Package: libcos4-dev
 Architecture: any
@@ -123,22 +111,6 @@
  This includes libomniorb4, libomnicodesets4, libomnidynamic4
  and libomnissltp4.
 
-Package: libomniorb4-2-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: optional
-Depends: libomniorb4-2 (= ${binary:Version}), ${misc:Depends}
-Description: omniORB core libraries debugging symbols
- omniORB4 is a freely available Common Object Request Broker
- Architecture (CORBA) 2.6 compliant object request broker (ORB)
- implementation. It is based on the IIOP communications
- protocol and should be interoperable with any other
- CORBA 2.6 compliant ORB.
- .
- This includes the debug versions of libomniorb4, libomnicodesets4,
- libomnidynamic4 and libomnissltp4.
-
 Package: libomniorb4-dev
 Architecture: any
 Multi-Arch: same
@@ -170,21 +142,6 @@
  .
  This includes libomnithread4.
 
-Package: libomnithread4-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: optional
-Depends: libomnithread4 (= ${binary:Version}), ${misc:Depends}
-Description: C++ threading library debugging symbols
- omniORB4 is a freely available Common Object Request Broker
- Architecture (CORBA) 2.6 compliant object request broker (ORB)
- implementation. It is based on the IIOP communications
- protocol and should be interoperable with any other
- CORBA 2.6 compliant ORB.
- .
- This includes the debug version of libomnithread4.
-
 Package: libomnithread4-dev
 Architecture: any
 Multi-Arch: same
@@ -206,7 +163,7 @@
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
 Suggests: omniidl-python
 Breaks: omniidl-python (<< 3.5-1)
-Description: omniORB IDL to C++ and Python compiler
+Description: omniORB IDL to C++ and Python3 compiler
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
  implementation. It is based on the IIOP communications
