## omniorb-dfsg 4.2.5+ds1

=== debian/changelog ===
omniorb-dfsg (4.2.5+ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libomniorb4-dev: Drop Multi-Arch: same.

  [ Jochen Sprickerhof ]
  * Revert "Widen the limits on python3-defaults" (Closes: 1024264)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 15 Dec 2022 08:07:25 +0100

omniorb-dfsg (4.2.5+ds1-1) unstable; urgency=medium

  * Repack to drop upstream html, add +ds1 to binary packages.
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Remove field Section on binary package omniorb-doc that duplicates source.
  * Rebuild upstream HTML using hevea
  * Add repack opts to d.watch
  * Fix spelling typo in patch description
  * Confirm Mayhem report for version in stretch is fixed in 4.2.5
    (Closes: #716555)

 -- Neil Williams <codehelp@debian.org>  Fri, 22 Apr 2022 09:41:00 +0100

omniorb-dfsg (4.2.5-2) unstable; urgency=medium

  * Use python3-all-dev & rebuild for 3.10

 -- Neil Williams <codehelp@debian.org>  Mon, 28 Mar 2022 10:36:57 +0100

omniorb-dfsg (4.2.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 08 Mar 2022 08:44:35 +0000
