=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  libssl-dev,
  pkg-config,
  python3-dev,
+ hevea,
 Standards-Version: 4.6.0
 Homepage: http://omniorb.sourceforge.net
 Vcs-Browser: https://salsa.debian.org/debian/omniorb-dfsg
@@ -28,6 +29,7 @@
 
 Package: omniorb-idl
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: omniORB CORBA services idl files
  omniORB is a freely available Common Object Request Broker
@@ -54,7 +56,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libomniorb4-dev (= ${binary:Version}), libomnithread4-dev (= ${binary:Version})
-Section: devel
 Description: omniORB documentation and examples
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -113,7 +114,6 @@
 
 Package: libomniorb4-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libomniorb4-2 (= ${binary:Version}), libomnithread4-dev (= ${binary:Version}), libssl-dev, pkg-config, ${misc:Depends}
 Breaks: libomniorb3-dev
