=== debian/watch ===
version=4

opts="repacksuffix=+ds1,dversionmangle=auto,repack" \
https://sf.net/omniorb/omniORB-(.+)\.tar\.bz2
