## omniorb-dfsg 4.3.2+ds1

=== debian/changelog ===
omniorb-dfsg (4.3.2+ds1-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:43 +0100

omniorb-dfsg (4.3.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * Remove Sébastien Delafond again from Uploaders
  * Fix PYTHONPATH for omniidl (Closes: #1087522). Thanks to Helmut Grohne.
  * Add autopkgtest to check the omniidl private python path

 -- Santiago Ruano Rincón <santiago@freexian.com>  Wed, 20 Nov 2024 09:46:29 +0100

omniorb-dfsg (4.3.2+ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064260

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:20:49 +0000

omniorb-dfsg (4.3.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3.2+ds1
  * Replace pkg-config with pkgconf in build- and binary dependencies
  * Temporarily add lintian overrides for source-is-missing regarding html
    files, until #1019980 gets fixed

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 08 Feb 2024 17:33:14 -0300

omniorb-dfsg (4.3.1+ds1-1) unstable; urgency=low

  * Team upload.
  * New upstream version 4.3.1+ds1
  * Refresh d/patches/pkgconfig and private_pythondir
  * Bump Standards-Version to 4.6.2. No changes needed

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 06 Oct 2023 11:30:46 -0300

omniorb-dfsg (4.3.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1042758)
  * Set RELEASE to unstable in debian/salsa-ci.yml

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 11 Sep 2023 08:07:29 +0530

omniorb-dfsg (4.3.0+ds1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

  [ Santiago Ruano Rincón ]
  * New upstream version 4.3.0+ds1
  * Fix d/watch to match actual versioning and avoid considering beta version
    newer than stable release
  * Add d/gbp.conf
  * Update d/patches/private_pythondir to match python2 dir
  * Refresh d/patches/set_ipv6_v6only_to_0
  * Install new HTTP related library files
  * Bump SONAMEs: libcos4-3 and libomniorb4-3
  * Add Build-Depends on libzstd-dev
  * Drop obsolete Deps: lsb-base from omniorb-nameserver

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 25 Aug 2023 15:23:22 -0300
