=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,12 @@
 	$(MAKE) -C src/examples
 	find src/examples/ -name "*.o" -type f -delete
 	find src/examples/ -name "*.d" -type f -delete
+	cd doc/tex && hevea omniORB && hacha omniORB.html && cd -
+	mkdir doc/omniORB/
+	mv doc/tex/*.html doc/omniORB/
+	mv doc/tex/*.css doc/omniORB/
+	mv doc/tex/*.svg doc/omniORB/
+	$(RM) doc/tex/*.haux
 
 override_dh_auto_install:
 	dh_auto_install
