## omniorb-dfsg 4.3.3+ds1

=== debian/changelog ===
omniorb-dfsg (4.3.3+ds1-1~bpo12+1) bookworm-backports; urgency=medium

  [ Colin Watson ]
  * Team upload.
  * Backport to bookworm-backports.

  [ Santiago Ruano Rincón ]
  * Revert the time64 transition related changes
  * Suppress the aliased-location lintian tag in salsa-ci.yml
  * Temporarily allow the Salsa CI piuparts job to fail

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 May 2025 16:59:01 +0100

omniorb-dfsg (4.3.3+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Apr 2025 14:23:58 +0100

omniorb-dfsg (4.3.1+ds1-1~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.
  * d/gbp.conf: set default branch to debian/bookworm-backports
  * d/salsa-ci.yml: set RELEASE to bookworm-backports

 -- Santiago Ruano Rincón <santiago@freexian.com>  Wed, 13 Dec 2023 10:04:05 -0300
