=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
-Uploaders:
- Sebastien Delafond <seb@debian.org>,
- Neil Williams <codehelp@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  libssl-dev,
- pkg-config,
+ pkgconf,
  python3-dev,
  hevea,
-Standards-Version: 4.6.0
+ libzstd-dev,
+Standards-Version: 4.6.2
 Homepage: http://omniorb.sourceforge.net
 Vcs-Browser: https://salsa.debian.org/debian/omniorb-dfsg
 Vcs-Git: https://salsa.debian.org/debian/omniorb-dfsg.git
@@ -42,7 +40,7 @@
 
 Package: omniorb-nameserver
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: omniORB naming service
  omniORB is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -65,13 +63,13 @@
  .
  This includes the documentation and compiled examples.
 
-Package: libcos4-2
+Package: libcos4-3
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libcos4-1
-Replaces: libcos4-1
+Conflicts: libcos4-2
+Replaces: libcos4-2
 Description: omniORB CORBA services stubs
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -85,7 +83,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcos4-2 (= ${binary:Version}), libomniorb4-dev (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libcos4-3 (= ${binary:Version}), libomniorb4-dev (= ${binary:Version}), pkgconf, ${misc:Depends}
 Description: omniORB CORBA services stubs development files
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -95,13 +93,13 @@
  .
  This includes developer files for libcos4 and libcosdynamic4.
 
-Package: libomniorb4-2
+Package: libomniorb4-3
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libomniorb4-1
-Replaces: libomniorb4-1
+Conflicts: libomniorb4-2
+Replaces: libomniorb4-2
 Description: omniORB core libraries
  omniORB4 is a freely available Common Object Request Broker
  Architecture (CORBA) 2.6 compliant object request broker (ORB)
@@ -115,7 +113,7 @@
 Package: libomniorb4-dev
 Architecture: any
 Section: libdevel
-Depends: libomniorb4-2 (= ${binary:Version}), libomnithread4-dev (= ${binary:Version}), libssl-dev, pkg-config, ${misc:Depends}
+Depends: libomniorb4-3 (= ${binary:Version}), libomnithread4-dev (= ${binary:Version}), libssl-dev, pkgconf, ${misc:Depends}
 Breaks: libomniorb3-dev
 Replaces: libomniorb3-dev
 Description: omniORB core libraries development files
@@ -146,7 +144,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libomnithread4 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libomnithread4 (= ${binary:Version}), pkgconf, ${misc:Depends}
 Breaks: libomnithread3-dev
 Replaces: libomnithread3-dev
 Description: C++ threading library development files
