=== debian/tests/control ===
Tests:
 simple-omniidl
Depends:
 @,
